Summary: Graphical equivalent of find + grep
Name: searchmonkey
Version: 0.8.1
Release: 15%{?dist}
License: LGPL
Group: Applications/File
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL: http://searchmonkey.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig, gettext, gtk2-devel
Obsoletes: xsearch
Provides: xsearch
Source1: user-guide.html

# Patches
Patch0: build.patch
Patch1: fix-crash.patch
Patch2: fix-format-security.patch
Patch3: local-user-guide.patch
Patch4: symlink.patch

%description
searchmonkey is a powerful, but fast GTK+ text search utility that allows
files and content to be searched using regular expressions.  It aims
to be the graphical equivalent of find + grep, but with the simplicity
of the Beagle search engine.

%prep
%setup -q
%patch0 -p1 -b .build
%patch1 -p1 -b .fix-crash
%patch2 -p1 -b .fix-format-security
%patch3 -p1 -b .local-user-guide
%patch4 -p1 -b .symlink

%build
%configure
make %{?_smp_mflags}

%install
rm -fr %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
rm -f %{buildroot}/%{_datadir}/pixmaps/%{name}.png
mkdir -p %{buildroot}/%{_datadir}/applications
cp $RPM_BUILD_DIR/%{name}-%{version}/rpmbuild/%{name}.desktop \
  %{buildroot}/%{_datadir}/applications
cd %{buildroot}/%{_datadir}/pixmaps
ln -sf searchmonkey/searchmonkey-48x48.png %{name}.png
 
%{__install} -D -m 644 %{SOURCE1} \
  %{buildroot}%{_docdir}/%{name}/user-guide.html


%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%doc README INSTALL COPYING*
%{_docdir}/%{name}/user-guide.html
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Jul  9 2017 Endur <matthias_haase@bennewitz.com> - 0.8.1-15
- Rebuild for Fedora 26

* Wed Nov 23 2016 endur <endur@thinkpad.localdomain> - 0.8.1-14
- Rebuild for Fedora 25

* Thu Jun 23 2016 endur <endur@thinkpad.localdomain> - 0.8.1-13
- Rebuild for Fedora 24

* Sat Oct 31 2015 endur <matthias_haase@bennewitz.com> - 0.8.1-12
- Rebuild for Fedora 23

* Fri May 29 2015 endur <matthias_haase@bennewitz.com> - 0.8.1-11
- Rebuild for Fedora 22

* Wed Dec 10 2014 endur <matthias_haase@bennewitz.com> - 0.8.1-10
- Rebuild for Fedora 21

* Wed Feb 12 2014 Matthias Haase <matthias_haase@bennewitz.com> - 0.8.1-9
- Local user-guide.html added

* Wed Feb 12 2014 Matthias Haase <matthias_haase@bennewitz.com> - 0.8.1-8
- More patches added - thanks to Peter Blackman peter@pblackman.plus.com

* Wed Feb 12 2014 Matthias Haase <matthias_haase@bennewitz.com> - 0.8.1-7
- Patch added to fix segfault for 64 bit

* Wed Feb 12 2014 Matthias Haase <matthias_haase@bennewitz.com> - 0.8.1-6
- Rebuild for Fedora 20

* Sun Nov 25 2007 Paulo Roma <roma@lcg.ufrj.br> - 0.8.1-5
- Updated to 0.8.1.
- Using find_lang.
- Added desktop icon.

* Thu Nov  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.1-4
- Update to 0.7.1.
